eoEsStdev(3)

NAME
eoEsStdev - Evolutionary Strategy with a standard deviation per parameter.

SYNOPSIS

#include <eoEsStdev.h>

Inherits eoVector< Fit, double >.

  Public Types
typedef double Type

  Public Member Functions
virtual std::string className (void) const
Return the class id.
void printOn (std::ostream &os) const
printing...
void readFrom (std::istream &is)
reading...

  Public Attributes
std::vector< double > stdevs

Detailed Description

  template<class Fit> class eoEsStdev< Fit >
Evolutionary Strategy with a standard deviation per parameter. Evolutionary strategie style representation, supporting co-evolving standard deviations.

Definition at line 37 of file eoEsStdev.h.

Member Function Documentation

  template<class Fit> virtual std::string eoEsStdev< Fit >::className (void) const [inline, virtual]

Return the class id.

Returns:
    the class name as a std::string

Reimplemented from EO< Fit >.

Definition at line 47 of file eoEsStdev.h.

Author

Generated automatically by Doxygen for EO from the source code.